bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 2/2] tests: add testcase for previous fix


From: Paolo Bonzini
Subject: [PATCH 2/2] tests: add testcase for previous fix
Date: Tue, 21 Sep 2010 17:58:58 +0200

* tests/inconsistent-ranges: New.
* tests/Makefile.am (TESTS): Add it.
---
 tests/Makefile.am        |    1 +
 tests/inconsistent-range |   17 +++++++++++++++++
 2 files changed, 18 insertions(+), 0 deletions(-)
 create mode 100644 tests/inconsistent-range

diff --git a/tests/Makefile.am b/tests/Makefile.am
index f66543f..3db1cfb 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -59,6 +59,7 @@ TESTS =                                               \
   help-version                                 \
   ignore-mmap                                  \
   include-exclude                              \
+  inconsistent-range                            \
   khadafy                                      \
   max-count-vs-context                         \
   options                                      \
diff --git a/tests/inconsistent-range b/tests/inconsistent-range
new file mode 100644
index 0000000..e28acde
--- /dev/null
+++ b/tests/inconsistent-range
@@ -0,0 +1,17 @@
+#!/bin/sh
+# This would fail for grep-2.6
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf '00a\n00g\n00z\n00A\n00G\n00Z\n'      > in || framework_failure_
+
+fail=0
+
+for LOC in en_US.UTF-8 en_US zh_CN $LOCALE_FR_UTF8 C; do
+  out1=out1-$LOC
+  LC_ALL=$LOC grep -E '(.)\1[A-Z]' in > $out1 || fail=1
+  out2=out2-$LOC
+  LC_ALL=$LOC grep -E '[A-Z]' in > $out2 || fail=1
+  compare $out1 $out2 || fail=1
+done
+
+Exit $fail
-- 
1.7.2.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]